List workers
curl --request GET \
--url https://api.openworklabs.com/v1/workers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/workers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workers": [
{
"instance": {
"provider": "<string>",
"region": "<string>",
"url": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"orgId": "<string>",
"createdByUserId": "<string>",
"isMine": true,
"name": "<string>",
"description": "<string>",
"destination": "<string>",
"status": "<string>",
"imageVersion": "<string>",
"workspacePath": "<string>",
"sandboxBackend": "<string>",
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"lastActiveAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}Workers
List workers
Lists the workers that belong to the caller’s active organization, newest first, including each worker’s latest known instance state. Pass nextCursor from the previous page as cursor to continue; nextCursor is null on the last page.
GET
/
v1
/
workers
List workers
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Query Parameters
Opaque cursor returned as nextCursor by the previous page. Omit for the first page.
Required string length:
1 - 200Required range:
1 <= x <= 50Was this page helpful?